package com.waytous.anticollision.location

import com.mapbox.common.LifecycleMonitoringState
import com.mapbox.common.LifecycleObserver
import com.mapbox.common.LifecycleState
import com.mapbox.maps.plugin.locationcomponent.LocationConsumer
import com.mapbox.maps.plugin.locationcomponent.LocationProvider

class MyLocationProvider:LocationProvider,LifecycleObserver{
    override fun registerLocationConsumer(locationConsumer: LocationConsumer) {
        TODO("Not yet implemented")
    }

    override fun unRegisterLocationConsumer(locationConsumer: LocationConsumer) {
        TODO("Not yet implemented")
    }

    override fun onMonitoringStateChanged(state: LifecycleMonitoringState, error: String?) {
        TODO("Not yet implemented")
    }

    override fun onLifecycleStateChanged(state: LifecycleState) {
        TODO("Not yet implemented")
    }
}